%define name smeserver-domains
%define version 1.4
%define release 8
Summary: SMEserver rpm for domain pseudonyms
Name: %{name}
Version: %{version}
Release: %{release}
License: GNU GPL version 2
URL: http://www.contribs.org
Distribution: SME Server
Group: SMEServer/addon
Source: %{name}-%{version}.tar.xz

Packager: Stephen Noble <stephen@dungog.net>
BuildRoot: /var/tmp/%{name}-%{version}
BuildArchitectures: noarch
BuildRequires: smeserver-devtools
Requires: smeserver-release >= 8
AutoReqProv: no

%description
SMEserver rpm for more advanced domain controls

%changelog
* Sun Sep 08 2024 fix-e-smith-pkg.sh by Trevor Batley <trevor@batley.id.au> 1.4-8.sme
- Fix e-smith references in smeserver-domains [SME: 12732]

* Sat Sep 07 2024 cvs2git.sh aka Brian Read <brianr@koozali.org> 1.4-7.sme
- Roll up patches and move to git repo [SME: 12338]

* Sat Sep 07 2024 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Mon Mar 04 2024 Brian Read <brianr@koozali.org> 1.4-6.sme
- Hide SM2 code as not complete [SME: 12497]

* Fri Jan 07 2022 Brian Read <brianr@bjsystems.co.uk> 1.4-5.sme
- Add-class-to-div-for-AdminLTE [SME: 11836]

* Mon May 31 2021 Jean-Philippe Pialasse <tests@pialasse.com> 1.4-4.sme
- fix missing PATH and some log warning [SME: 10950]

* Thu Mar 25 2021 Brian Read <brianr@bjsystems.co.uk> 1.4-3.sme
- Add Update event to createlinks [SME: 10950]

* Thu Mar 25 2021 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Wed Jul 22 2020 Brian Read <brianr@bjsystems.co.uk> 1.4-2.sme
- Update for Server-Manager2 panels[SME:10950 ]

* Thu Apr 28 2016 John Crisp <jcrisp@safeandsoundit.co.uk> 0-1.4-1.sme
- First import to smecontribs

* Tue Oct 31 2006 Stephen Noble <support@dungog.net>
- warning added to setup remote MailServer before delegating to them
- [1.2-2]

* Sun Aug 20 2006 Stephen Noble <stephen@dungog.net>
- initial release
- [1.2-1]


%prep
%setup

%build
perl createlinks


%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc " >> %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}-%{version}

%pre
%preun
%post
#new installs
if [ $1 = 1 ] ; then
 /bin/touch /home/e-smith/db/dungog
fi

if (systemctl list-unit-files |grep smanager) then
  echo "Smanager restart in spec file"
  /sbin/e-smith/signal-event smanager-refresh;
fi



%postun
#uninstalls

#&upgrades


%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
